# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KColorPatch Class Reference

A color displayer. More...

`#include <kcolordialog.h>`

Inheritance diagram for KColorPatch:

[legend]
Collaboration diagram for KColorPatch:

[legend]
List of all members.

## Signals

void | colorChanged (const QColor &)

## Public Member Functions

| KColorPatch (QWidget *parent)
void | setColor (const QColor &col)

## Protected Member Functions

virtual void | drawContents (QPainter *painter)
virtual void | mouseMoveEvent (QMouseEvent *)
virtual void | dragEnterEvent (QDragEnterEvent *)
virtual void | dropEvent (QDropEvent *)
virtual void | virtual_hook (int id, void *data)

## Detailed Description

A color displayer.

The KColorPatch widget is a (usually small) widget showing a selected color e. g. in the KColorDialog. It automatically handles drag and drop from and on the widget.

Definition at line 309 of file kcolordialog.h.

The documentation for this class was generated from the following files:

- kcolordialog.h
- kcolordialog.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:20:46 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003